Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.wst.wsdl.binding.soap
Interface SOAPHeader

All Superinterfaces:
  javax.wsdl.extensions.ExtensibilityElement, java.io.Serializable, javax.wsdl.extensions.soap.SOAPHeader, SOAPHeaderBase, WSDLElement

    public interface SOAPHeader

extends SOAPHeaderBase, javax.wsdl.extensions.soap.SOAPHeader

A representation of the model object 'Header'.

The following features are supported:

- `Header Faults`

See Also:
  `SOAPPackage.getSOAPHeader()`

Method Summary
`EList` | `getHeaderFaults()` Returns the value of the 'Header Faults' containment reference list.

Methods inherited from interface org.eclipse.wst.wsdl.binding.soap.SOAPHeaderBase
`getEEncodingStyles, getEMessage, getEncodingStyles, getEPart, getMessage, getNamespaceURI, getPart, getUse, setEMessage, setEncodingStyles, setEPart, setMessage, setNamespaceURI, setPart, setUse`

Methods inherited from interface org.eclipse.wst.wsdl.ExtensibilityElement
`getElementType, isRequired, setElementType, setRequired`

Methods inherited from interface org.eclipse.wst.wsdl.WSDLElement
`elementChanged, getContainer, getDocumentationElement, getElement, getEnclosingDefinition, setDocumentationElement, setElement, setEnclosingDefinition, updateElement, updateElement`

Methods inherited from interface javax.wsdl.extensions.ExtensibilityElement
`getRequired, setRequired`

Methods inherited from interface javax.wsdl.extensions.soap.SOAPHeader
`addSOAPHeaderFault, getEncodingStyles, getMessage, getNamespaceURI, getPart, getSOAPHeaderFaults, getUse, setEncodingStyles, setMessage, setNamespaceURI, setPart, setUse`

Method Detail

### getHeaderFaults

    EList getHeaderFaults()

  Returns the value of the 'Header Faults' containment reference list. The list contents are of type `SOAPHeaderFault`.

  If the meaning of the 'Header Faults' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Header Faults' containment reference list.
  See Also:
    `SOAPPackage.getSOAPHeader_HeaderFaults()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD